### Function

# FwupdPlugin path_build

since: 2.0.18

#### Declaration [src]

    gchar*
    fu_path_build (
      FuPathKind path_kind,
      ...
    )

#### Description [src]

Gets a fwupd-specific system path. These can be overridden with various environment variables, for instance `FWUPD_DATADIR`.

Available since: 2.0.18

This function is not directly available to language bindings.

#### Parameters

`path_kind`

  Type: `FuPathKind`

  A `FuPathKind` e.g. `FU_PATH_KIND_DATADIR_PKG`.

`...`

  Type: ``

  Pairs of string key values, ending with `NULL`.

#### Return value

Type: `gchar*`

A system path, or `NULL` if invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.